Package org.gradle.jvm

## Interface JvmLibrarySpec

- All Superinterfaces:
    `ComponentSpec`, `GeneralComponentSpec`, `JvmComponentSpec`, `LibrarySpec`, `ModelElement`, `Named`, `PlatformAwareComponentSpec`, `SourceComponentSpec`, `VariantComponent`, `VariantComponentSpec`

      @Incubating
      @Deprecated
      public interface JvmLibrarySpec
      extends LibrarySpec, JvmComponentSpec, PlatformAwareComponentSpec

  Deprecated.
  Definition of a JVM library component that is to be built by Gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JvmApiSpec` | `getApi()` | Deprecated. The public API of this library.
    `DependencySpecContainer` | `getDependencies()` | Deprecated. The component-level dependencies of this library.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName`

    - ### Methods inherited from interface org.gradle.platform.base.PlatformAwareComponentSpec

      `targetPlatform`

    - ### Methods inherited from interface org.gradle.platform.base.SourceComponentSpec

      `getSources`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponent

      `getName, getVariants`

    - ### Methods inherited from interface org.gradle.platform.base.VariantComponentSpec

      `getBinaries`

- - ### Method Detail

    - #### getApi

          JvmApiSpec getApi()

      Deprecated.
      The public API of this library.

    - #### getDependencies

          DependencySpecContainer getDependencies()

      Deprecated.
      The component-level dependencies of this library.